CUDPPDatatype
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcudpp
Class CUDPPDatatype

    java.lang.Object
      jcuda.jcudpp.CUDPPDatatype

    public class CUDPPDatatype

extends java.lang.Object

Datatypes supported by CUDPP algorithms.

See Also:
  `CUDPPConfiguration`, `JCudpp.cudppPlan(jcuda.jcudpp.CUDPPHandle, jcuda.jcudpp.CUDPPConfiguration, long, long, long)`

Field Summary
`static int` | `CUDPP_CHAR` Character type (C char) - Closest Java type: byte
`static int` | `CUDPP_FLOAT` Float type (C float) - Closest Java type: float
`static int` | `CUDPP_INT` Integer type (C int) - Closest Java type: int
`static int` | `CUDPP_UCHAR` Unsigned character (byte) type (C unsigned char) - Closest Java type: byte
`static int` | `CUDPP_UINT` Unsigned integer type (C unsigned int) - Closest Java type: int

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given CUDPPDatatype

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUDPP_CHAR

    public static final int CUDPP_CHAR

  Character type (C char) - Closest Java type: byte

  See Also:
    Constant Field Values

### CUDPP_UCHAR

    public static final int CUDPP_UCHAR

  Unsigned character (byte) type (C unsigned char) - Closest Java type: byte

  See Also:
    Constant Field Values

### CUDPP_INT

    public static final int CUDPP_INT

  Integer type (C int) - Closest Java type: int

  See Also:
    Constant Field Values

### CUDPP_UINT

    public static final int CUDPP_UINT

  Unsigned integer type (C unsigned int) - Closest Java type: int

  See Also:
    Constant Field Values

### CUDPP_FLOAT

    public static final int CUDPP_FLOAT

  Float type (C float) - Closest Java type: float

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given CUDPPDatatype

  Parameters:
    `n` - The CUDPPDatatype
  Returns:
    The String identifying the given CUDPPDatatype

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD